import React from 'react';
import type { PopoverProps } from 'rlj-design';
import './index.less';
export interface IPopConfirm {
    children: React.ReactNode;
    onOk: (onClose: () => void) => void;
    onOkText?: React.ReactNode;
    type?: 'warning' | 'delete';
    title?: React.ReactNode;
    content?: React.ReactNode;
    PopoverProps?: PopoverProps;
}
declare const PopConfirm: ({ children, onOk, onOkText, type, title, content, PopoverProps, }: IPopConfirm) => JSX.Element;
export { PopConfirm };
