import React from 'react';
import type { SortProps, FieldsType, ItemsMapType } from './interface';
import './style/index.less';
export declare const SortContext: React.Context<({
    fields?: FieldsType | undefined;
    setFields: (selected: FieldsType) => void;
    ok: Function;
    itemsMap: Omit<ItemsMapType, 'ok'>;
    addressMap: Map<string | number, any[]>;
    hasData: boolean;
    setOpen: Function;
    onFinish: Function;
    onReset?: (() => void) | undefined;
} & Omit<SortProps, "ok">) | null>;
declare const Sort: {
    (props: SortProps): JSX.Element;
    defaultProps: {
        cacheKey: string;
        trigger: string;
        btnText: string;
        showAutoSortButton: boolean;
        isAutoSort: boolean;
    };
};
export default Sort;
