import type { TableUnit } from './index';
import type { C_DATA, D_Date } from './edit';
export declare type GoToSpecifiedType = (dataIndex: string, rowDataId: string) => void;
export declare type ClearExpandDataType = (id: string | undefined) => void;
export declare type ClearDataSourceType = (rowDataIdArr: string[], trigger?: boolean) => void;
export declare type ChangeDataSourceType = (param: C_DATA[], trigger?: boolean) => void;
export declare type SetDisableDateType = (param: D_Date[]) => void;
export declare type GetDataSourceType = () => TableUnit;
export declare type TableRefType = {
    GoToSpecifiedType: GoToSpecifiedType;
    ClearExpandDataType: ClearExpandDataType;
    ClearDataSourceType: ClearDataSourceType;
    ChangeDataSourceType: ChangeDataSourceType;
    SetDisableDateType: SetDisableDateType;
    GetDataSourceType: GetDataSourceType;
};
