import React from 'react';
import "./index.less";
import { PREFIX_CLS } from "../../constants/dictionary";
/**
 * @description 错误信息弹窗，需要添加具体的错误信息，两项
 * @author xiLou
 * @date 2023/2/23
 * @returns
 * */

var prefixCls = "".concat(PREFIX_CLS, "-modal-style");

var ModalErrorWrapper = function ModalErrorWrapper(_ref) {
  var content = _ref.content,
      errMsg = _ref.errMsg;
  return /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-wrapper")
  }, content && /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-content")
  }, content), errMsg && /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-desc")
  }, errMsg));
};

export default ModalErrorWrapper;