export declare const personData: {
    rootNodeVOList: {
        nodeType: number;
        emp: null;
        org: {
            name: string;
            orgChain: string;
            orgId: string;
            parentOrgId: null;
            code: null;
            haveChildren: boolean;
            syncStatus: boolean;
        };
        childrens: null;
    }[];
    treeNodeVOList: ({
        nodeType: number;
        emp: null;
        org: {
            name: string;
            orgChain: string;
            orgId: string;
            parentOrgId: string;
            code: string;
            haveChildren: boolean;
            syncStatus: boolean;
        };
        childrens: ({
            nodeType: number;
            emp: null;
            org: {
                name: string;
                orgChain: string;
                orgId: string;
                parentOrgId: string;
                code: null;
                haveChildren: boolean;
                syncStatus: boolean;
            };
            childrens: ({
                nodeType: number;
                emp: null;
                org: {
                    name: string;
                    orgChain: string;
                    orgId: string;
                    parentOrgId: string;
                    code: null;
                    haveChildren: boolean;
                    syncStatus: boolean;
                };
                childrens: never[];
            } | {
                nodeType: number;
                org: null;
                emp: {
                    name: string;
                    orgChain: string;
                    empId: string;
                };
                childrens: never[];
            })[];
        } | {
            nodeType: number;
            org: null;
            emp: {
                name: string;
                orgChain: string;
                empId: string;
            };
            childrens: never[];
        })[];
        orh?: undefined;
    } | {
        nodeType: number;
        emp: null;
        org: {
            name: string;
            orgChain: string;
            orgId: string;
            parentOrgId: string;
            code: null;
            haveChildren: boolean;
            syncStatus: boolean;
        };
        childrens: ({
            nodeType: number;
            emp: null;
            org: {
                name: string;
                orgChain: string;
                orgId: string;
                parentOrgId: string;
                code: null;
                haveChildren: boolean;
                syncStatus: boolean;
            };
            childrens: never[];
        } | {
            nodeType: number;
            org: null;
            emp: {
                name: string;
                orgChain: string;
                empId: string;
            };
            childrens: never[];
        })[];
        orh?: undefined;
    } | {
        nodeType: number;
        emp: null;
        org: {
            name: string;
            orgChain: string;
            orgId: string;
            parentOrgId?: undefined;
            code?: undefined;
            haveChildren?: undefined;
            syncStatus?: undefined;
        };
        childrens: {
            nodeType: number;
            emp: null;
            org: {
                name: string;
                orgChain: string;
                orgId: string;
            };
            childrens: never[];
        }[];
        orh?: undefined;
    } | {
        nodeType: number;
        emp: null;
        org: {
            name: string;
            orgChain: string;
            orgId: string;
            parentOrgId: string;
            code: null;
            haveChildren: boolean;
            syncStatus: boolean;
        };
        childrens: {
            nodeType: number;
            emp: null;
            org: {
                name: string;
                orgChain: string;
                orgId: string;
                parentOrgId: string;
                code: null;
                haveChildren: boolean;
                syncStatus: boolean;
            };
            childrens: {
                nodeType: number;
                org: null;
                emp: {
                    name: string;
                    orgChain: string;
                    empId: string;
                };
                childrens: never[];
            }[];
        }[];
        orh?: undefined;
    } | {
        nodeType: number;
        orh: null;
        emp: {
            name: string;
            orgChain: string;
            empId: string;
        };
        childrens: never[];
        org?: undefined;
    } | {
        nodeType: number;
        org: null;
        emp: {
            name: string;
            orgChain: string;
            empId: string;
        };
        childrens: never[];
        orh?: undefined;
    })[];
};
export declare const searchDeptData: {
    orgChainVOList: {
        nodeType: number;
        orgChain: string;
        orgName: string;
        orgId: string;
        syncStatus: boolean;
        invalid: boolean;
        loseEffect: null;
        empName: null;
        empId: null;
    }[];
};
export declare const deptData: {
    rootNodeVOList: {
        nodeType: number;
        emp: null;
        org: {
            name: string;
            orgChain: string;
            orgId: string;
            parentOrgId: null;
            code: null;
            haveChildren: boolean;
            syncStatus: boolean;
        };
        childrens: null;
    }[];
    treeNodeVOList: ({
        nodeType: number;
        emp: null;
        org: {
            name: string;
            orgChain: string;
            orgId: string;
            parentOrgId: string;
            code: string;
            haveChildren: boolean;
            syncStatus: boolean;
        };
        childrens: {
            nodeType: number;
            emp: null;
            org: {
                name: string;
                orgChain: string;
                orgId: string;
                parentOrgId: string;
                code: null;
                haveChildren: boolean;
                syncStatus: boolean;
            };
            childrens: {
                nodeType: number;
                emp: null;
                org: {
                    name: string;
                    orgChain: string;
                    orgId: string;
                    parentOrgId: string;
                    code: null;
                    haveChildren: boolean;
                    syncStatus: boolean;
                };
                childrens: never[];
            }[];
        }[];
    } | {
        nodeType: number;
        emp: null;
        org: {
            name: string;
            orgChain: string;
            orgId: string;
            parentOrgId: string;
            code: null;
            haveChildren: boolean;
            syncStatus: boolean;
        };
        childrens: {
            nodeType: number;
            emp: null;
            org: {
                name: string;
                orgChain: string;
                orgId: string;
                parentOrgId: string;
                code: null;
                haveChildren: boolean;
                syncStatus: boolean;
            };
            childrens: {
                nodeType: number;
                emp: null;
                org: {
                    name: string;
                    orgChain: string;
                    orgId: string;
                    parentOrgId: string;
                    code: null;
                    haveChildren: boolean;
                    syncStatus: boolean;
                };
                childrens: {
                    nodeType: number;
                    emp: null;
                    org: {
                        name: string;
                        orgChain: string;
                        orgId: string;
                        parentOrgId: string;
                        code: null;
                        haveChildren: boolean;
                        syncStatus: boolean;
                    };
                    childrens: {
                        nodeType: number;
                        emp: null;
                        org: {
                            name: string;
                            orgChain: string;
                            orgId: string;
                            parentOrgId: string;
                            code: null;
                            haveChildren: boolean;
                            syncStatus: boolean;
                        };
                        childrens: {
                            nodeType: number;
                            emp: null;
                            org: {
                                name: string;
                                orgChain: string;
                                orgId: string;
                                parentOrgId: string;
                                code: null;
                                haveChildren: boolean;
                                syncStatus: boolean;
                            };
                            childrens: {
                                nodeType: number;
                                emp: null;
                                org: {
                                    name: string;
                                    orgChain: string;
                                    orgId: string;
                                    parentOrgId: string;
                                    code: null;
                                    haveChildren: boolean;
                                    syncStatus: boolean;
                                };
                                childrens: {
                                    nodeType: number;
                                    emp: null;
                                    org: {
                                        name: string;
                                        orgChain: string;
                                        orgId: string;
                                        parentOrgId: string;
                                        code: null;
                                        haveChildren: boolean;
                                        syncStatus: boolean;
                                    };
                                    childrens: {
                                        nodeType: number;
                                        emp: null;
                                        org: {
                                            name: string;
                                            orgChain: string;
                                            orgId: string;
                                            parentOrgId: string;
                                            code: null;
                                            haveChildren: boolean;
                                            syncStatus: boolean;
                                        };
                                        childrens: {
                                            nodeType: number;
                                            emp: null;
                                            org: {
                                                name: string;
                                                orgChain: string;
                                                orgId: string;
                                                parentOrgId: string;
                                                code: null;
                                                haveChildren: boolean;
                                                syncStatus: boolean;
                                            };
                                            childrens: {
                                                nodeType: number;
                                                emp: null;
                                                org: {
                                                    name: string;
                                                    orgChain: string;
                                                    orgId: string;
                                                    parentOrgId: string;
                                                    code: null;
                                                    haveChildren: boolean;
                                                    syncStatus: boolean;
                                                };
                                                childrens: {
                                                    nodeType: number;
                                                    emp: null;
                                                    org: {
                                                        name: string;
                                                        orgChain: string;
                                                        orgId: string;
                                                        parentOrgId: string;
                                                        code: null;
                                                        haveChildren: boolean;
                                                        syncStatus: boolean;
                                                    };
                                                    childrens: {
                                                        nodeType: number;
                                                        emp: null;
                                                        org: {
                                                            name: string;
                                                            orgChain: string;
                                                            orgId: string;
                                                            parentOrgId: string;
                                                            code: null;
                                                            haveChildren: boolean;
                                                            syncStatus: boolean;
                                                        };
                                                        childrens: {
                                                            nodeType: number;
                                                            emp: null;
                                                            org: {
                                                                name: string;
                                                                orgChain: string;
                                                                orgId: string;
                                                                parentOrgId: string;
                                                                code: null;
                                                                haveChildren: boolean;
                                                                syncStatus: boolean;
                                                            };
                                                            childrens: {
                                                                nodeType: number;
                                                                emp: null;
                                                                org: {
                                                                    name: string;
                                                                    orgChain: string;
                                                                    orgId: string;
                                                                    parentOrgId: string;
                                                                    code: null;
                                                                    haveChildren: boolean;
                                                                    syncStatus: boolean;
                                                                };
                                                                childrens: {
                                                                    nodeType: number;
                                                                    emp: null;
                                                                    org: {
                                                                        name: string;
                                                                        orgChain: string;
                                                                        orgId: string;
                                                                        parentOrgId: string;
                                                                        code: null;
                                                                        haveChildren: boolean;
                                                                        syncStatus: boolean;
                                                                    };
                                                                    childrens: {
                                                                        nodeType: number;
                                                                        emp: null;
                                                                        org: {
                                                                            name: string;
                                                                            orgChain: string;
                                                                            orgId: string;
                                                                            parentOrgId: string;
                                                                            code: null;
                                                                            haveChildren: boolean;
                                                                            syncStatus: boolean;
                                                                        };
                                                                        childrens: never[];
                                                                    }[];
                                                                }[];
                                                            }[];
                                                        }[];
                                                    }[];
                                                }[];
                                            }[];
                                        }[];
                                    }[];
                                }[];
                            }[];
                        }[];
                    }[];
                }[];
            }[];
        }[];
    })[];
};
export declare const searchPersonData: {
    orgChainVOList: {
        nodeType: number;
        emp: {
            name: string;
            orgChain: string;
            empId: number;
        };
        org: null;
    }[];
};
